Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class BaseExpression

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseExpression

All Implemented Interfaces:
  IBaseExpression

Direct Known Subclasses:
  ConditionalExpression, ExpressionCollection, ScriptExpression

    public abstract class BaseExpression

extends java.lang.Object
implements IBaseExpression

Default implementation of the `IBaseExpression` interface.

Field Summary
`protected int` | `dataType`
`protected java.lang.Object` | `handle`

Fields inherited from interface org.eclipse.birt.data.engine.api.IBaseExpression
`GROUP_OVERALL`

Constructor Summary
`BaseExpression()` Constructs an instance with unknown data type
`BaseExpression(int dataType)` Constructs an instance with specified data type

Method Summary
`int` | `getDataType()` Gets the data type of the expression.
`java.lang.String` | `getGroupName()` The group on which this expression should be evaluated.
`java.lang.Object` | `getHandle()` Returns the handle associated with the expression.
`java.lang.String` | `getScriptId()` Return scriptId of the expression.
`void` | `setDataType(int dataType)` Sets the data type of the expression
`void` | `setGroupName(java.lang.String name)` Set the group name this expession belongs to.
`void` | `setHandle(java.lang.Object handle)` Associates the expression with the provided handle.
`void` | `setScriptId(java.lang.String scriptId)` Set the script id of the expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataType

    protected int dataType

### handle

    protected java.lang.Object handle

Constructor Detail

### BaseExpression

    public BaseExpression()

  Constructs an instance with unknown data type

### BaseExpression

    public BaseExpression(int dataType)

  Constructs an instance with specified data type

Method Detail

### getDataType

    public int getDataType()

  Description copied from interface: `IBaseExpression`
  Gets the data type of the expression. Acceptable return values are those enumeration constants defined in the `org.eclipse.birt.core.data.DataType` class. If the result data type of the expression is not known, return `UNKNOWN_TYPE`.

  Specified by:
    `getDataType` in interface `IBaseExpression`
  See Also:
    `IBaseExpression.getDataType()`

### setDataType

    public void setDataType(int dataType)

  Sets the data type of the expression

### getHandle

    public java.lang.Object getHandle()

  Description copied from interface: `IBaseExpression`
  Returns the handle associated with the expression.

  Specified by:
    `getHandle` in interface `IBaseExpression`
  Returns:
    the expression execution handle.
  See Also:
    `IBaseExpression.getHandle()`

### setHandle

    public void setHandle(java.lang.Object handle)

  Description copied from interface: `IBaseExpression`
  Associates the expression with the provided handle.

  Specified by:
    `setHandle` in interface `IBaseExpression`
  See Also:
    `IBaseExpression.setHandle(java.lang.Object)`

### setGroupName

    public void setGroupName(java.lang.String name)

  Description copied from interface: `IBaseExpression`
  Set the group name this expession belongs to.

  Specified by:
    `setGroupName` in interface `IBaseExpression`
  See Also:
    `IBaseExpression.setGroupName(String)`

### getGroupName

    public java.lang.String getGroupName()

  Description copied from interface: `IBaseExpression`
  The group on which this expression should be evaluated.

  Specified by:
    `getGroupName` in interface `IBaseExpression`
  Returns:
  See Also:
    `IBaseExpression.getGroupName()`

### getScriptId

    public java.lang.String getScriptId()

  Description copied from interface: `IBaseExpression`
  Return scriptId of the expression. The value of script id will be used to determine by which script engine the script should be evaluated against.

  Specified by:
    `getScriptId` in interface `IBaseExpression`
  See Also:
    `IBaseExpression.getGroupName()`

### setScriptId

    public void setScriptId(java.lang.String scriptId)

  Description copied from interface: `IBaseExpression`
  Set the script id of the expression. For javascript expression, the id could be "javascript".

  Specified by:
    `setScriptId` in interface `IBaseExpression`
  See Also:
    `IBaseExpression.setScriptId(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.